Subject: [Sip] SIP Call Control Questions

From: "Kumar V. Vemuri" <[email-masked]>
Date: Fri, 20 Jul 2001 10:11:04 -0500

Rohan, others,
  
   Greetings.

   I read your draft "A Call Control Model for SIP",  
   draft-mahy-sip-cc-models-00.txt with interest. It does
   a good job describing various call configurations.

   I think a definition of what you mean by "call control
   model" would help me follow along better. All call
   models I have come across so far include call states, 
   and transitions between states. The messages from the 
   supported signaling protocol provide the stimulus for
   these transitions. Is there such a state model for SIP
   that includes all the SIP primitives defined thus far? 
   If so, is there a draft that covers this?

   I understand from the "SIP Call Control - Framework"
   draft that the intent is to support a modular call
   control model for SIP. Does this mean there will be
   a modular state machine (if and when a state machine
   is defined)?

   Yes, I did also read the draft "SIP Extensions for 
   supporting Distributed Call State", and while there is
   talk of state distribution among network nodes using
   the SIP STATE header there (and this is illustrated
   with some nice examples), there is again no mention
   of a "standard" set of states. Presumably, if a 
   different proxy from the one that stored state on the
   server was given this state information at a later time
   in order to help process the same call (since the intent
   is to keep proxies effectively stateless), the second 
   proxy should be able to interpret what the stored state 
   really represents in the call context. I guess what I'm
   requesting is an explanation of how this works. 

   There seems to be an implicit expectation in the state
   draft that the same proxy will receive all subsequent 
   messages with call state information. Is the above
   scenario with two proxies supportable? (I realize some
   crypto details may have to change for this to happen).
   Thank you.

respectfully,
Kumar.

_______________________________________________
Sip mailing list  http://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip